#version 150

#extension GL_ARB_explicit_attrib_location : enable

uniform sampler2D gtexture;

#define star_red 1 // [0 0.125 0.25 0.375 0.5 0.625 0.75 0.875 1]
#define star_green 1 // [0 0.125 0.25 0.375 0.5 0.625 0.75 0.875 1]
#define star_blue 1 // [0 0.125 0.25 0.375 0.5 0.625 0.75 0.875 1]

/* DRAWBUFFERS:0 */
layout(location = 0) out vec4 outColor0;

in vec2 texCoord;

void main(){
    vec4 outputColorData = texture(gtexture,texCoord);
    vec3 outputColor = vec3(star_red, star_green, star_blue);
    float transparency = outputColorData.a;

    if ((outputColorData.r+outputColorData.g+outputColorData.b)/3 < 0.3) {
        discard;
    }
    outColor0 = vec4(outputColor, transparency);
}